/*
 simple_simengine_example.h and simple_simengine_example.cpp show 
 an example on how to use simengine.h and simengine.cpp in simulations.
 My_Object is a simple object to be simulated, waking up in constant time periods 
 and reporting its awakening.

 The code was written by Gergely Zaruba (zaruba@ieee.org)

 This code is provided to you under general GNU licence assumptions.
*/

#ifndef _SIMPLE_SIMENGINE_EXAMPLE_H_
#define _SIMPLE_SIMENGINE_EXAMPLE_H_

#include "simengine.h"
#include <stream.h>

class My_Object
{

public:
  My_Object();
  ~My_Object();
  void Initialize(double,long,long);

  // Handlers for event type A
  void  Execute_This_at_My_Event(long);
  static void S_Execute_This_at_My_Event(void *,long);

private:
  double timing;
  long counter;
  long my_id;

};

#endif







